Amazon Elasticsearch Service
开发人员指南 (API 版本 2015-01-01)
AWS 文档中描述的 AWS 服务或功能可能因区域而异。要查看适用于中国区域的差异,请参阅中国的 AWS 服务入门

功能(按 Elasticsearch 版本)

许多 Amazon ES 功能都有最低 Elasticsearch 版本要求。

功能 最低 Elasticsearch 版本

错误和慢速日志发布

5.1

Curator CLI 支持

5.1

静态数据加密

5.1

用于 Kibana 的 Cognito 身份验证

5.1

就地 Elasticsearch 升级

5.1

每小时自动快照

5.3

节点到节点加密

6.0

Java 高级别 REST 客户端支持

6.0

提醒

6.2

SQL

6.5

其他功能没有最低版本要求:

  • VPC 支持

  • 要求对到达域的所有流量使用 HTTPS

  • 多可用区支持

  • 专用主节点

有关每个版本的 Elasticsearch API 的更多信息,请参阅 支持的 Elasticsearch 操作